"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LatestBlockMigrator = exports.LatestBlock = void 0;
const VersionedObject_1 = require("../businessObjects/VersionedObject");
class LatestBlock extends VersionedObject_1.VersionedObject {
    constructor(contract, block) {
        super();
        this.contract = contract;
        this.block = block;
    }
    getVersion() {
        return LatestBlock.CURRENT_VERSION;
    }
}
exports.LatestBlock = LatestBlock;
LatestBlock.CURRENT_VERSION = 1;
class LatestBlockMigrator extends VersionedObject_1.VersionedObjectMigrator {
    getCurrentVersion() {
        return LatestBlock.CURRENT_VERSION;
    }
    factory(data) {
        return new LatestBlock(data["contract"], data["block"]);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
exports.LatestBlockMigrator = LatestBlockMigrator;
//# sourceMappingURL=LatestBlock.js.map